Package: java.sql

## [Java] Class Timestamp

- java.sql.Timestamp

-     public class Timestamp
      extends Object

  GDK enhancements for Timestamp.

  displayName:
    Timestamp
  receiverFqcn:
    java.sql.Timestamp

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Timestamp` | `minus(int days)` Subtract a number of days from this Timestamp and returns the new Timestamp object.
    `` | `public Timestamp` | `plus(int days)` Add number of days to this Timestamp and returns the new Timestamp object.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, clamp, clamp, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, takeIf, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public Timestamp minus(int days)

      Subtract a number of days from this Timestamp and returns the new Timestamp object.

      Parameters:
        `days` - the number of days to subtract
      Returns:
        the new Timestamp

    - #### public Timestamp plus(int days)

      Add number of days to this Timestamp and returns the new Timestamp object.

      Parameters:
        `days` - the number of days to increase
      Returns:
        the new Timestamp